<?xml version="1.0" ?>
<xsl:transform version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rtl="http://xml.com/rss-template-language"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:rss="http://purl.org/rss/1.0/"
	exclude-result-prefixes="rtl rdf rss"
>

<xsl:param name="template-uri" />

<xsl:variable name="template" select="document($template-uri)" />
<xsl:variable name="source" select="/" />

<xsl:template match="/">
	<xsl:apply-templates select="$template/node()" />
</xsl:template>

<xsl:template match="*">
	<xsl:param name="current-item" />
	<xsl:element name="{name()}">
		<xsl:apply-templates select="@*|node()">
			<xsl:with-param name="current-item" select="$current-item" />
		</xsl:apply-templates>
	</xsl:element>
</xsl:template>

<xsl:template match="@*">
	<xsl:attribute name="{name()}">
		<xsl:value-of select="." />
	</xsl:attribute>
</xsl:template>

<xsl:template match="text()">
	<xsl:if test="normalize-space()">
		<xsl:value-of select="." />
	</xsl:if>
</xsl:template>

<xsl:template match="rtl:text">
	<xsl:value-of select="." />
</xsl:template>

<xsl:template match="rtl:channel-title">
	<xsl:value-of select="$source/rdf:RDF/rss:channel/rss:title" />
</xsl:template>

<xsl:template match="rtl:for-each-item">
	<xsl:variable name="current" select="." />
	<xsl:for-each select="$source/rdf:RDF/rss:channel/rss:items/rdf:Seq/rdf:li">
		<xsl:apply-templates select="$current/node()">
			<xsl:with-param name="current-item" select="$source/rdf:RDF/rss:item[@rdf:about = current()/@resource]" />
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:template>

<xsl:template match="rtl:item-title">
	<xsl:param name="current-item" />
	<xsl:value-of select="$current-item/rss:title" />
</xsl:template>

<xsl:template match="rtl:item-link">
	<xsl:param name="current-item" />
	<a href="{$current-item/rss:link}">
		<xsl:apply-templates>
			<xsl:with-param name="current-item" select="$current-item" />
		</xsl:apply-templates>
	</a>
</xsl:template>

</xsl:transform>
