<xsl:transform version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:my="http://xml.com/my-template-language"
>

<xsl:param name="template-uri" />

<xsl:variable name="template" select="document($template-uri)" />
<xsl:variable name="source" select="/" />

<xsl:template match="/">
	<xsl:apply-templates select="$template/node()" />
</xsl:template>

<xsl:template match="*">
	<xsl:element name="{name()}">
		<xsl:apply-templates select="@* | node()" />
	</xsl:element>
</xsl:template>

<xsl:template match="@*">
	<xsl:attribute name="{name()}">
		<xsl:value-of select="." />
	</xsl:attribute>
</xsl:template>

<xsl:template match="text()">
	<xsl:if test="normalize-space()">
		<xsl:value-of select="." />
	</xsl:if>
</xsl:template>

<xsl:template match="my:text">
	<xsl:value-of select="." />
</xsl:template>

<xsl:template match="my:owner-name">
	<xsl:value-of select="$source/collection/owner/name" />
</xsl:template>

<xsl:template match="my:owner-email">
	<xsl:value-of select="$source/collection/owner/email" />
</xsl:template>

</xsl:transform>
